## cyclades-serial-client 0.93ubuntu1

=== sun/Makefile ===

all: pkg

INSTROOT=`pwd`/tmp
PKGNAME=cyclades-ser-cli

pkg:
	rm -rf ../tmp
	( cd .. ; ./configure --prefix=${INSTROOT} --mandir=`pwd`/sun/tmp/usr/share/man )
	( cd .. ; make )
	( cd .. ; make prefix=${INSTROOT} install )
	pkgmk -o -r ../tmp
	pkgtrans -s spool ${PKGNAME}.pkg ${PKGNAME}
	echo "/var/spool/pkg/${PKGNAME}.pkg complete!"

## cyclades-serial-client 0.92

=== debian/changelog ===
cyclades-serial-client (0.92) unstable; urgency=low

  * Fixed some Solaris bugs.

  * Made it remove the control socket on close.

 -- Russell Coker <russell@coker.com.au>  Tue, 23 Sep 2003 17:38:00 +1000

cyclades-serial-client (0.91) unstable; urgency=low

  * Fixed a couple of minor Solaris bugs.

 -- Russell Coker <russell@coker.com.au>  Fri,  1 Aug 2003 21:26:00 +1000

cyclades-serial-client (0.90) unstable; urgency=low

  * Name change.

  * Improved build scripts, especially dependencies.

  * Fixed the -s option.

 -- Russell Coker <russell@coker.com.au>  Fri, 25 Jul 2003 08:28:00 -0400

tsrdev (1.3.3) unstable; urgency=low

  * Added support for setting 1 or 2 stop bits in libtsrdev.so.

  * Added support for changing RTS/CTS and XON/XOFF settings, although the Linux
    stty program doesn't like the way I do it and gives an error the first
    time RTS/CTS settings are changes - have to look at the stty source.

  * Removed the "-t" option from tsrsock as it's dead code.

  * Changed the "-s" option for tsrsock to mean Socket Server mode, so the
    absense of this option means RFC2217 mode.

  * Made the options for baseport work in an order-independent fashion, the
    first priority goes to the -b option, then to the default for the protocol
    in use.

  * Added a "-f" option to tsrsock to specify running in the foreground, this
    can be used if running from init, and can be used by programmers when
    tracing tsrsock.

 -- Russell Coker <russell@coker.com.au>  Fri, 18 Jul 2003 19:04:00 +1000

tsrdev (1.3.2) unstable; urgency=low

  * Better support for Solaris, including support for making Sun packages.

  * Support for changing port speed, sending breaks, and changing the number of
    data bits over the network via libtsrdev.so.

 -- Russell Coker <russell@coker.com.au>  Thu, 17 Jul 2003 11:10:00 +1000

tsrdev (1.3.1) unstable; urgency=low

  * Added support for AIX, SCO, and Unixware to the code tree.

  * Removed HP-UX man pages.

  * Added a patch to sock.c for when Solaris headers don't define INADDR_NONE.

  * In telnet.c made handle_com_port_command() only take one parameter as the
    second is ignored anyway.

  * Fixed many compiler warnings.

 -- Russell Coker <russell@coker.com.au>  Fri,  4 Jul 2003 17:00:00 +1000

tsrdev (1.3) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Tue, 29 Oct 2002 20:23:35 +0100

=== debian/control ===
Source: cyclades-serial-client
Section: comm
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: cyclades-serial-client
Architecture: any
Depends: ${shlibs:Depends}
Suggests: sredird
Conflicts: tsrdev
Description: Network Serial port client software for Cyclades terminal servers
 This is the client for network serial port emulation via the RFC 2217
 protocol as used by Cyclades terminal servers and other products.  It
 consists of a daemon that manages a pseudo-tty and a shared object to take
 over the tcsetattr() and tcsendbreak() library calls to redirect their
 functionality over the network.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/ --mandir=\$${prefix}/usr/share/man


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/cyclades-serial-client.
	$(MAKE) install prefix=$(CURDIR)/debian/cyclades-serial-client


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman man/*
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cyclades-serial-client 0.92ubuntu1

=== debian/changelog ===
cyclades-serial-client (0.92ubuntu1) karmic; urgency=low

  * debian/rules: added -fno-stack-protector to CFLAGS to avoid a FTBFS with
    "undefined reference to `__stack_chk_fail_local'"

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 09 Oct 2009 20:33:32 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+CFLAGS += -fno-stack-protector
 
 config.status: configure
 	dh_testdir

## cyclades-serial-client 0.92ubuntu2

=== debian/changelog ===
cyclades-serial-client (0.92ubuntu2) lucid; urgency=low

  * Patch configure and configure.in to build with -fno-stack-protector.

 -- Ilya Barygin <barygin@gmail.com>  Fri, 26 Feb 2010 22:29:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cyclades-serial-client
 Section: comm
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper (>> 3.0.0)
 Standards-Version: 3.5.2

## cyclades-serial-client 0.92ubuntu3

=== debian/changelog ===
cyclades-serial-client (0.92ubuntu3) xenial; urgency=medium

  * debian/rules:
    - Remove legacy DH_COMPAT export.
    - Use dh_prep instead of dh_clean -k.
    - Don't allow $(MAKE) distclean to ignore errors.
    - Add recommended build-arch and build-indep targets.
    - Remove config.{cache,log} in clean.
  * debian/compat: Indicate compatibility level of 9.
  * debian/control:
    - Build-depend on debhelper (>= 9).
    - Depend on ${misc:Depends}.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 07 Apr 2016 02:56:02 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper (>> 3.0.0)
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.5.2
 
 Package: cyclades-serial-client
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: sredird
 Conflicts: tsrdev
 Description: Network Serial port client software for Cyclades terminal servers

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -20,7 +17,6 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
-CFLAGS += -fno-stack-protector
 
 config.status: configure
 	dh_testdir
@@ -28,7 +24,9 @@
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/ --mandir=\$${prefix}/usr/share/man
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
@@ -44,19 +42,19 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	$(MAKE) distclean
 	-test -r /usr/share/misc/config.sub && \
 	  cp -f /usr/share/misc/config.sub config.sub
 	-test -r /usr/share/misc/config.guess && \
 	  cp -f /usr/share/misc/config.guess config.guess
 
-
+	rm -f config.cache config.log
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/cyclades-serial-client.

## cyclades-serial-client 0.93

=== debian/changelog ===
cyclades-serial-client (0.93) unstable; urgency=medium

  * Fix debhelper compatability level  Closes: #800212
    Closes: #817327

 -- Russell Coker <russell@coker.com.au>  Sat, 31 Dec 2016 16:37:21 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: cyclades-serial-client
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.5.2
 
 Package: cyclades-serial-client
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}
 Suggests: sredird
 Conflicts: tsrdev
 Description: Network Serial port client software for Cyclades terminal servers

## cyclades-serial-client 0.93ubuntu1

=== debian/changelog ===
cyclades-serial-client (0.93ubuntu1) zesty; urgency=medium

  * Restore Ilya Barygin's patch to configure and configure.in that adds
    -fno-stack-protector to CCFLAGS and fixes FTBFS on i386 and powerpc.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 31 Dec 2016 22:40:42 -0500

## cyclades-serial-client 0.93ubuntu2

=== Makefile ===
#
# Copyright (C) Cyclades Corporation, 1999-1999. All rights reserved.
#

OFLAGS=-DUSE_TERMIO -DUSE_TERMIOS -DUSE_POSIX_NONBLOCK
CC=i386-linux-gcc

#
# Debug and additional options
#

#DFLAGS=-DTSR_MEASURE
DFLAGS=

# 
# Compiler flags
#
CCFLAGS=-O2 -Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic

#
# cyclades-ser-cli program flags
#
SOCKFLAGS=$(OFLAGS) $(DFLAGS) $(CCFLAGS)


#
# Link-editor flags
# 
LDFLAGS=-s


#
# Standard libraries
#
LDLIBS= -lutil

#
# Object files
#
SOCKOBJS=cyclades-ser-cli.o tsrio.o telnet.o sock.o linux-dev.o misc.o system.o measure.o

#
# Programs for terminal server interface
#
PROGS=cyclades-ser-cli


all: $(PROGS) libcsc/libcyclades-ser-cli.so

clean:
	rm -f $(PROGS) *.o depends.bak
	( cd libcsc ; $(MAKE) clean )

libcsc/libcyclades-ser-cli.so:
	( cd libcsc ; $(MAKE) )

distclean: clean
	rm -f config.status


cyclades-ser-cli: $(SOCKOBJS)
	$(CC) $(LDFLAGS) -o cyclades-ser-cli $(SOCKOBJS) $(AUXLIBS) $(LDLIBS)

install: cyclades-ser-cli libcsc/libcyclades-ser-cli.so
	mkdir -p $(prefix)/usr/lib $(prefix)/usr/sbin $(prefix)/etc
	cp cyclades-serial-client cyclades-ser-cli $(prefix)/usr/sbin
	cp libcsc/libcyclades-ser-cli.so $(prefix)/usr/lib
	cp -i cyclades-devices $(prefix)/etc
	mkdir -p $(prefix)/usr/share/man/man5
	mkdir -p $(prefix)/usr/share/man/man8
	cp man/*.5 $(prefix)/usr/share/man/man5
	cp man/*.8 $(prefix)/usr/share/man/man8


%.o: %.c
	$(CC) $(SOCKFLAGS) -c $<

dep:
	-makedepend -Y -f depends *.c 2> /dev/null
	( cd libcsc ; $(MAKE) dep )

include depends

=== debian/changelog ===
cyclades-serial-client (0.93ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:47:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cyclades-serial-client
 Section: comm
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.5.2

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,7 @@
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/ --mandir=\$${prefix}/usr/share/man
 
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
+build: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
@@ -42,19 +40,19 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) distclean
+	-$(MAKE) distclean
 	-test -r /usr/share/misc/config.sub && \
 	  cp -f /usr/share/misc/config.sub config.sub
 	-test -r /usr/share/misc/config.guess && \
 	  cp -f /usr/share/misc/config.guess config.guess
 
-	rm -f config.cache config.log
+
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep
+	dh_clean -k
 	dh_installdirs
 
 	# Add here commands to install the package into debian/cyclades-serial-client.

## cyclades-serial-client 0.93ubuntu3

=== debian/changelog ===
cyclades-serial-client (0.93ubuntu3) hirsute; urgency=medium

  * Fix FTBFS with GCC 10 due to multiple definitions.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 19 Jan 2021 23:13:52 -0500

## cyclades-serial-client 0.94

=== libcsc/Makefile ===

CC=i386-linux-gcc
CCFLAGS=-O2 -Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -shared -fpic
SOLFLAGS=-shared -init libcsc_init -fini libcsc_fini -fpic -ldl  -lutil

all: libcyclades-ser-cli.so


libcyclades-ser-cli.so: libcyclades-ser-cli.c
	$(CC) -c $(CCFLAGS) libcyclades-ser-cli.c -o libcyclades-ser-cli.o
	ld libcyclades-ser-cli.o $(SOLFLAGS) -o libcyclades-ser-cli.so

clean:
	rm -f libcyclades-ser-cli.so libcyclades-ser-cli.o depends.bak

dep:
	-makedepend -Y -f depends *.c 2> /dev/null

include depends

=== debian/changelog ===
cyclades-serial-client (0.94) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #849719)
  * Use source format 3.0 (native).
  * Switch to debhelper-compat (= 13) and use dh.
  * Set Rules-Requires-Root: no.
  * Drop generated files.

  [ Logan Rosen ]
  * Fix FTBFS with GCC 10 (due to -fno-common).  (Closes: #957116)

  [ Helmut Grohne ]
  * Fix FTCBFS (due to hardcoded build-architecture ld).  (Closes: #934466)

  [ Chris Lamb ]
  * Honour SOURCE_DATE_EPOCH to make the build reproducible. (Closes: #860972)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Jan 2021 15:16:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: cyclades-serial-client
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper (>= 9)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+Rules-Requires-Root: no
 Standards-Version: 3.5.2
 
 Package: cyclades-serial-client
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: sredird
 Conflicts: tsrdev
 Description: Network Serial port client software for Cyclades terminal servers

## cyclades-serial-client 0.95

=== debian/changelog ===
cyclades-serial-client (0.95) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 3.5.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Corrected man page whatis entry notation.
  * Removed generated libcsc/Makefile from git repository.
  * Adjusted makefiles to fix hardening and debug symbol package.
  * Corrected build clean and distclean targets to remove more generated files.
  * Corrected groff notation in cyclades-devices.5.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 01 Dec 2024 09:28:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: comm
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends:
- debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 3.5.2
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/cyclades-serial-client
+Vcs-Git: https://salsa.debian.org/debian/cyclades-serial-client.git
 
 Package: cyclades-serial-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: sredird
-Conflicts: tsrdev
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: sredird,
+Conflicts: tsrdev,
 Description: Network Serial port client software for Cyclades terminal servers
  This is the client for network serial port emulation via the RFC 2217
  protocol as used by Cyclades terminal servers and other products.  It
